package com.emall.flash.api.controller.shop;

import com.emall.flash.bean.constant.factory.PageFactory;
import com.emall.flash.bean.entity.shop.OrderItem;
import com.emall.flash.bean.entity.system.User;
import com.emall.flash.bean.vo.front.Rets;
import com.emall.flash.bean.vo.query.SearchFilter;
import com.emall.flash.security.JwtUtil;
import com.emall.flash.service.shop.OrderItemService;
import com.emall.flash.service.system.ManagerService;
import com.emall.flash.utils.factory.Page;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/shop/order/item")
public class OrderItemController {
	private  Logger logger = LoggerFactory.getLogger(getClass());
	@Autowired
	private OrderItemService orderItemService;
	@Autowired
	private ManagerService managerService;

	@RequestMapping(value = "/list",method = RequestMethod.GET)
	public Object list() {
	Page<OrderItem> page = new PageFactory<OrderItem>().defaultPage();
		User loginUser = managerService.get(JwtUtil.getUserId());
		if (loginUser.getTenantId()!=null)
			page.addFilter("tenantId",loginUser.getTenantId());
		page.addFilter(SearchFilter.build("delFlag", 0));
		page = orderItemService.queryPage(page);
		return Rets.success(page);
	}
}
