package com.emall.flash.api.controller.shop;

import com.emall.flash.bean.constant.factory.PageFactory;
import com.emall.flash.bean.entity.shop.OrderLog;
import com.emall.flash.bean.entity.system.User;
import com.emall.flash.bean.vo.front.Rets;
import com.emall.flash.bean.vo.query.SearchFilter;
import com.emall.flash.security.JwtUtil;
import com.emall.flash.service.shop.OrderLogService;
import com.emall.flash.service.system.ManagerService;
import com.emall.flash.utils.factory.Page;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/shop/order/log")
public class OrderLogController {
	private  Logger logger = LoggerFactory.getLogger(getClass());
	@Autowired
	private OrderLogService orderLogService;
	@Autowired
	private ManagerService managerService;

	@RequestMapping(value = "/queryByIdOrder/{idOrder}",method = RequestMethod.GET)
	public Object queryByIdOrder(@PathVariable("idOrder") Long idOrder){
		List<OrderLog> logList = orderLogService.queryAll(SearchFilter.build("idOrder",idOrder));
		return Rets.success(logList);
	}
	@RequestMapping(value = "/list",method = RequestMethod.GET)
	public Object list() {
	Page<OrderLog> page = new PageFactory<OrderLog>().defaultPage();
		User loginUser = managerService.get(JwtUtil.getUserId());
		if (loginUser.getTenantId()!=null)
			page.addFilter("tenantId",loginUser.getTenantId());
		page = orderLogService.queryPage(page);
		return Rets.success(page);
	}
}
